<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>iLightSeqOpFactory Struct Reference (CEL: Crystal Entity Layer 2.0 Public API Reference)</title>
<link href="tabs.css" rel="stylesheet" type="text/css">
<link href="doxygen.css" rel="stylesheet" type="text/css">
</head><body>
<table border="0" cellpadding="0" cellspacing="0" width="100%" class="head">
 <tr height="59">
  <td class="head" width="202" valign="bottom" style="padding-left:0;"><a href="http://cel.crystalspace3d.org/"><img src="celblur.png" width="210" height="59" alt="CEL" border="0"></a></td>
  <td class="head"><h2>Public API Reference</h2></td>
 </tr>
 <tr height="11">
  <td colspan="2" class="headshadow" valign="top" style="padding-left:0;"><img src="celshadow.png" width="9" height="11" alt="" border="0"></td>
 </tr>
</table>
<div class="content">
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a>  </div>
  <div class="headertitle">
<div class="title">iLightSeqOpFactory Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="iLightSeqOpFactory" --><!-- doxytag: inherits="iBase" -->
<p>This interface is implemented by the seqop that animates light colors.  
 <a href="structiLightSeqOpFactory.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="sequences_8h_source.html">tools/sequences.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for iLightSeqOpFactory:</div>
<div class="dyncontent">
 <div class="center">
  <img src="structiLightSeqOpFactory.png" usemap="#iLightSeqOpFactory_map" alt=""/>
  <map id="iLightSeqOpFactory_map" name="iLightSeqOpFactory_map">
<area doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html" alt="iBase" shape="rect" coords="0,0,124,24"/>
</map>
 </div></div>

<p><a href="structiLightSeqOpFactory-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiLightSeqOpFactory.html#a3db4d24dfbbc739483ba806351e5f66f">SetAbsColorParameter</a> (const char *red, const char *green, const char *blue)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the absolute color.  <a href="#a3db4d24dfbbc739483ba806351e5f66f"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiLightSeqOpFactory.html#a0ac06ac9987c5140671997d211ddbeca">SetEntityParameter</a> (const char *entity, const char *tag=0)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the entity containing the pclight (either entity name or a parameter if it starts with '$').  <a href="#a0ac06ac9987c5140671997d211ddbeca"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiLightSeqOpFactory.html#a796ad7aa9d62e1074e7ff9e7fe272249">SetRelColorParameter</a> (const char *red, const char *green, const char *blue)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the relative color animation vector.  <a href="#a796ad7aa9d62e1074e7ff9e7fe272249"></a><br/></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><p>This interface is implemented by the seqop that animates light colors. </p>
<p>You can query this interface from the seqop factory if you want to manually control this factory as opposed to loading its definition from an XML document.</p>
<p>The predefined name of this seqop type is 'cel.seqops.light'.</p>
<p>In XML, factories recognize the following attributes on the 'op' node:</p>
<ul>
<li><em>entity</em>: the name of the entity containing the pclight property class.</li>
<li><em>entity_tag</em>: optional tag used to find the right property class from the entity.</li>
<li><em>relcolor</em>: relative color animation vector. This node has 'red', 'green, and 'blue' attributes. Each of these attributes can be a parameter.</li>
<li><em>abscolor</em>: absolute color. This node has 'red', 'green, and 'blue' attributes. Each of these attributes can be a parameter. </li>
</ul>

<p>Definition at line <a class="el" href="sequences_8h_source.html#l00277">277</a> of file <a class="el" href="sequences_8h_source.html">sequences.h</a>.</p>
</div><hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="a3db4d24dfbbc739483ba806351e5f66f"></a><!-- doxytag: member="iLightSeqOpFactory::SetAbsColorParameter" ref="a3db4d24dfbbc739483ba806351e5f66f" args="(const char *red, const char *green, const char *blue)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiLightSeqOpFactory.html#a3db4d24dfbbc739483ba806351e5f66f">iLightSeqOpFactory::SetAbsColorParameter</a> </td>
          <td>(</td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>red</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>green</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>blue</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Set the absolute color. </p>

</div>
</div>
<a class="anchor" id="a0ac06ac9987c5140671997d211ddbeca"></a><!-- doxytag: member="iLightSeqOpFactory::SetEntityParameter" ref="a0ac06ac9987c5140671997d211ddbeca" args="(const char *entity, const char *tag=0)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiLightSeqOpFactory.html#a0ac06ac9987c5140671997d211ddbeca">iLightSeqOpFactory::SetEntityParameter</a> </td>
          <td>(</td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>entity</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>tag</em> = <code>0</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Set the entity containing the pclight (either entity name or a parameter if it starts with '$'). </p>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">tag</td><td>is the optional tag of the entity or a parameter (starts with '$'). </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a796ad7aa9d62e1074e7ff9e7fe272249"></a><!-- doxytag: member="iLightSeqOpFactory::SetRelColorParameter" ref="a796ad7aa9d62e1074e7ff9e7fe272249" args="(const char *red, const char *green, const char *blue)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiLightSeqOpFactory.html#a796ad7aa9d62e1074e7ff9e7fe272249">iLightSeqOpFactory::SetRelColorParameter</a> </td>
          <td>(</td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>red</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>green</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>blue</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Set the relative color animation vector. </p>

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li>tools/<a class="el" href="sequences_8h_source.html">sequences.h</a></li>
</ul>
</div><!-- contents -->
<hr size="1"><address><small>Generated for CEL: Crystal Entity Layer 2.0 by 
<a href="http://www.doxygen.org/index.html">doxygen</a> 1.7.6.1 
</small></address> </div></body> </html>
